Page MenuHomePhabricator

BadMethodCallException in EditThresholdPresentationModel.php
Closed, ResolvedPublic

Description

User Brunter from ru.wikipedia reports an error in the notification
https://ru.wikipedia.org/w/index.php?title=%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%8F:%D0%A4%D0%BE%D1%80%D1%83%D0%BC/%D0%A2%D0%B5%D1%85%D0%BD%D0%B8%D1%87%D0%B5%D1%81%D0%BA%D0%B8%D0%B9&oldid=77032299#.D0.9E.D1.88.D0.B8.D0.B1.D0.BA.D0.B0_.D0.B2_.D1.83.D0.B2.D0.B5.D0.B4.D0.BE.D0.BC.D0.BB.D0.B5.D0.BD.D0.B8.D1.8F.D1.85


"The day after the registration of such a thing happened.
If you click on "All Notifications", the following text is displayed: Exception encountered, of type "BadMethodCallException". In other language this error is not displayed"

2016-03-09 20:47:46 mw1136 ruwiki 1.27.0-wmf.15 exception ERROR: [fcc5f9ba] /w/api.php?action=query&format=json&notsections=alert&meta=notifications&notgroupbysection=1&notmessageunreadfirst=1&notformat=model&notlimit=25&notprop=index%7Clist%7Ccount&uselang=ru&_=1457556461287   BadMethodCallException from line 15 of /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/formatters/EditThresholdPresentationModel.php: Call to a member function getLocalURL() on a non-object (NULL) {"exception_id":"fcc5f9ba"} 
[Exception BadMethodCallException] (/srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/formatters/EditThresholdPresentationModel.php:15) Call to a member function getLocalURL() on a non-object (NULL)
  #0 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/formatters/EventPresentationModel.php(371): EchoEditThresholdPresentationModel->getPrimaryLink()
  #1 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/formatters/EchoModelFormatter.php(13): EchoEventPresentationModel->jsonSerialize()
  #2 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/formatters/EchoEventFormatter.php(30): EchoModelFormatter->formatModel(EchoEditThresholdPresentationModel)
  #3 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/DataOutputFormatter.php(142): EchoEventFormatter->format(EchoEvent)
  #4 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/DataOutputFormatter.php(117): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, LanguageRu)
  #5 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/api/ApiEchoNotifications.php(219): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, LanguageRu)
  #6 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/api/ApiEchoNotifications.php(129): ApiEchoNotifications->getPropList(User, array, array, integer, NULL, string, boolean)
  #7 /srv/mediawiki/php-1.27.0-wmf.15/extensions/Echo/includes/api/ApiEchoNotifications.php(49): ApiEchoNotifications->getSectionPropList(User, string, array, integer, NULL, string, boolean)
  #8 /srv/mediawiki/php-1.27.0-wmf.15/includes/api/ApiQuery.php(277): ApiEchoNotifications->execute()
  #9 /srv/mediawiki/php-1.27.0-wmf.15/includes/api/ApiMain.php(1359): ApiQuery->execute()
  #10 /srv/mediawiki/php-1.27.0-wmf.15/includes/api/ApiMain.php(462): ApiMain->executeAction()
  #11 /srv/mediawiki/php-1.27.0-wmf.15/includes/api/ApiMain.php(433): ApiMain->executeActionWithErrorHandling()
  #12 /srv/mediawiki/php-1.27.0-wmf.15/api.php(83): ApiMain->execute()
  #13 /srv/mediawiki/w/api.php(3): include(string)
  #14 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Arbnos added a subscriber: Arbnos.Mar 11 2016, 2:44 PM
Mattflaschen-WMF renamed this task from BadMethodCallException to BadMethodCallException in EditThresholdPresentationModel.php.Mar 11 2016, 4:34 PM
Mattflaschen-WMF updated the task description. (Show Details)

Change 276788 had a related patch set uploaded (by Mattflaschen):
thank-you-edit: canRender for deleted page and extra fix

https://gerrit.wikimedia.org/r/276788

Change 276788 merged by jenkins-bot:
thank-you-edit: canRender for deleted page and extra fix

https://gerrit.wikimedia.org/r/276788

Change 276916 had a related patch set uploaded (by Catrope):
thank-you-edit: canRender for deleted page and extra fix

https://gerrit.wikimedia.org/r/276916

Change 276916 merged by jenkins-bot:
thank-you-edit: canRender for deleted page and extra fix

https://gerrit.wikimedia.org/r/276916

Checked in betalabs - if a page was deleted, all messages/alerts related to that page will be removed from Notifications. Since there is no notifications about a page being deleted, the abrupt removal of all notifications related to that page may be extremely confusing to users.

jmatazzoni closed this task as Resolved.Mar 23 2016, 6:52 PM